From d1ca05aa1cf403c1cb33a327ca6a2af075ad188e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 27 2020 21:41:08 +0000
Subject: [PATCH 936/2232] Implement buck genrule using -o instead of redirection


---

diff --git a/tools/buck/rust_cxx_bridge.bzl b/tools/buck/rust_cxx_bridge.bzl
index 5fa530b..ba9d8f1 100644
--- a/tools/buck/rust_cxx_bridge.bzl
+++ b/tools/buck/rust_cxx_bridge.bzl
@@ -5,7 +5,7 @@ def rust_cxx_bridge(name, src, deps = []):
         name = "%s/header" % name,
         srcs = [src],
         out = src + ".h",
-        cmd = "$(exe //:codegen) --header ${SRCS} > ${OUT}",
+        cmd = "$(exe //:codegen) ${SRCS} -o ${OUT}",
         type = "cxxbridge",
     )
 
@@ -13,7 +13,7 @@ def rust_cxx_bridge(name, src, deps = []):
         name = "%s/source" % name,
         srcs = [src],
         out = src + ".cc",
-        cmd = "$(exe //:codegen) ${SRCS} > ${OUT}",
+        cmd = "$(exe //:codegen) ${SRCS} -o ${OUT}",
         type = "cxxbridge",
     )
 

